@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap");

/*====================
Variables
======================*/

:root {

  /* Font family */
  --primaryFontFamily: "Poppins", sans-serif;


  /*Theme Colors */
  --primaryColor: #ffffff;

  --bgDeep: #13124C;
  --bgLight: #292768;
  --bgSkyLight: #99ccff;

  --orangeColorDeep: #df9c20;
  --btnColor: #e9ba63;


  /* Font Sizes */
  --fontPrimary: 1rem;
  --fontSecondary: 1.5rem;
  --fontBrand: 1.25rem;

}

/*====================
Common CSS
======================*/
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  vertical-align: middle;
}

body {
  font-family: var(--primaryFontFamily);
  font-size: var(--fontPrimary);
  color: var(--primaryColor);
  line-height: 24px;
  background-color: var(--bgLight);
}

a {
  text-decoration: none;
  color: var(--primaryColor);
  transition: all 0.3s linear;
}

img {
  max-width: 100%;
}

ul {
  list-style: none;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
}


/*====================
Common Padding
======================*/

.pt-100 {
  padding-top: 100px;
}

.pb-100 {
  padding-bottom: 100px;
}


/*====================
Common Section Title
======================*/
.section-title {
  margin-bottom: 60px;
  text-align: center;
}

.section-title h4 {
  text-transform: capitalize;
  font-size: var(--fontSecondary);
  display: inline-block;
  margin-bottom: 20px;
  color: var(--orangeColorDeep);
}

.section-title p {
  max-width: 700px;
  margin: 0 auto;
}


/*====================
Common Button CSS
======================*/

.btn {
  display: inline-block;
  background: linear-gradient(to right, var(--btnColor) 0%, var(--orangeColorDeep) 51%, var(--btnColor) 100%);
  background-size: 200% auto;
  text-transform: capitalize;
  padding: 10px 20px;
  border-radius: 8px;
  transition: all 0.3s linear;
}

.btn:hover {
  background-position: right center;
}


/*====================
Header Section
======================*/
.header-area {
  padding: 30px 0;
}

.header {
  display: grid;
  grid-template-columns: 1fr 3fr;
  align-items: center;
  padding: 20px 0;
}

.header__logo a {
  text-transform: capitalize;
  color: var(--orangeColorDeep);
  font-size: var(--fontBrand);
  font-weight: 700;
}

.header__nav ul {
  display: grid;
  grid-template-columns: repeat(5, auto);
  justify-content: end;
}

.header__nav ul li a {
  color: var(--orangeColorDeep);
  display: block;
  text-transform: capitalize;
  margin-left: 20px;
  font-weight: 500;
  position: relative;
  transition: all .3s linear;
}

.header__nav ul li a::before {
  content: "";
  position: absolute;
  background-color: var(--primaryColor);
  width: 0;
  height: 2px;
  left: 0;
  bottom: 0;
  visibility: hidden;
  transition: all .3s linear;
}

.header__nav ul li a:hover::before {
  width: 100%;
  visibility: visible;
  color: var(--primaryColor);
}

.header__nav ul li a:hover {
  color: var(--primaryColor);
}

/*====================
Banner Section
======================*/

.banner-area img {
  border: 3px solid var(--primaryColor);
  padding: 3px;
  border-radius: 3px;
}


/*====================
About Section
======================*/

.about {
  display: grid;
  grid-template-columns: repeat(3, auto);
  column-gap: 30px;
}

.single-about {
  background-color: var(--bgDeep);
  text-align: center;
  border: 2px solid var(--primaryColor);
  padding: 20px;
  border-radius: 5px;
  transition: all 0.2s linear;
}

.single-about:hover {
  border: 2px solid var(--orangeColorDeep);
}

.single-about i {
  background-color: var(--orangeColorDeep);
  color: var(--primaryColor);
  font-size: var(--fontSecondary);
  width: 50px;
  height: 50px;
  line-height: 44px;
  border-radius: 50%;
  transition: all 0.3s linear;
}

.single-about:hover i {
  transform: rotate(360deg);
}

.single-about h4 {
  text-transform: capitalize;
  margin: 10px 0;
  font-size: var(--fontSecondary);
}


/*====================
Services Section
======================*/

.service {
  display: grid;
  grid-template: repeat(2, 1fr) / repeat(3, 1fr);
  gap: 30px;
}


.single-service {
  padding: 20px;
  border-radius: 5px;
  background-color: var(--bgDeep);
  text-align: center;
  border: 1px solid var(--bgDeep);
  transition: all 0.3s linear;
}

.single-service:hover {
  border: 1px solid var(--orangeColorDeep);
}

.single-service h4 {
  margin-bottom: 20px;
  font-size: var(--fontSecondary);
  font-weight: normal;
  text-transform: uppercase;
}

.service-img {
  width: 100%;
  height: 200px;
  border-radius: 5px;
  overflow: hidden;
}

.service-img img {
  width: 100%;
  height: 100%;
  transition: all 0.3s linear;
}

.single-service:hover .service-img img {
  transform: scale(1.1);
}

.single-service p {
  margin: 20px 0;
  text-align: justify;
}


/*====================
CTA Section
======================*/
.cta-area {
  background-attachment: fixed;
  background-size: cover;
  color: var(--primaryColor);
  text-align: center;
  position: relative;
  z-index: 2;
}

.cta-area::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: var(--bgDeep);
  opacity: 0.4;
  z-index: -1;
}


.cta-area h2 {
  font-size: 40px;
  text-transform: uppercase;
}

.cta-area p {
  max-width: 800px;
  margin: 30px auto;
}


/*====================
Gallery Section
======================*/

.gallery {
  display: grid;
  grid-template: repeat(3, 1fr) / repeat(4, 1fr);
  gap: 30px;
}

.single-gallery {
  border: 1px solid var(--orangeColorDeep);
  padding: 3px;
  border-radius: 8px;
}

.single-gallery:hover {
  border: 1px solid var(--primaryColor);
}

.gallery-img {
  height: 200px;
  border-radius: 5px;
  overflow: hidden;
  transition: all 0.3s linear;
}

.gallery-img img {
  height: 100%;
  transition: all 0.3s linear;
}

.gallery-img img:hover {
  transform: scale(1.1);
}




/*====================
Contact Section
======================*/

.contact-area {
  background-color: var(--bgColorSecondary);
}

.contact {
  display: grid;
  grid-template-columns: 3fr 1fr;
  column-gap: 30px;
  align-items: center;
}

.contact-form input,
.contact-form textarea {
  width: 100%;
  border: none;
  padding: 10px;
  border-radius: 5px;
  margin-bottom: 10px;
  font-size: var(--fontPrimary);
}

.contact-form input:focus,
.contact-form textarea:focus {
  box-shadow: 0 0 0 0.15rem rgba(223, 156, 32, 0.8);
}

.contact-form textarea {
  max-width: 100%;
  min-width: 100%;
}

.form-btn {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 10px;
}

.form-btn input {
  margin-bottom: 0;
  cursor: pointer;
}

.contact-address {
  display: grid;
  row-gap: 30px;
}

.single-address {
  display: grid;
  grid-template-columns: 1fr 4fr;
  align-items: center;
}

.address-icon i {
  background-color: var(--orangeColorDeep);
  color: var(--bgLight);
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
}

.address-content {
  transition: all 0.3s linear;
}

.address-content h4 {
  text-transform: capitalize;
}

.single-address:hover .address-content {
  color: var(--orangeColorDeep);
}

.address-content p a {
  border-bottom: 3px dashed transparent;
}

.single-address:hover .address-content p a {
  color: var(--orangeColorDeep);
  border-bottom: 3px dashed var(--orangeColorDeep);
}


/*====================
Footer Section
======================*/
.footer-area {
  padding: 30px 0;
  text-align: center;
  background: linear-gradient(to right, var(--btnColor) 0%, var(--orangeColorDeep) 51%, var(--btnColor) 100%);
  background-size: 200% auto;
  transition: all 0.3s linear;
}

.footer-area:hover {
  background-position: right center;
}

.footer-area p a {
  font-weight: bold;
  border-top: 3px double var(--bgLight);
  border-bottom: 3px double var(--bgLight);
  transition: all 0.3s linear;
}

.footer-area p a:hover {
  border-top: 3px dotted var(--bgLight);
  border-bottom: 3px dotted var(--bgLight);
  color: var(--bgLight);
}
